using System;

namespace jej
{
    class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            string[] st = Console.ReadLine().Split();
            char a = s[0];
            char b = s[1];
            int x = int.Parse(st[0]);
            int y = int.Parse(st[1]);
            if (Math.Abs(x - y) > 1) Console.WriteLine("nemoguce");
            else
            {
                for (int i = 0; i < x + y; i++)
                {
                    if (x > y)
                    {
                        if (i % 2 == 0) Console.Write(a);
                        else Console.Write(b);
                    }
                    else
                    {
                        if (i % 2 == 0) Console.Write(b);
                        else Console.Write(a);
                    }
                }
            }
        }
    }
}